# pyautogui

控制鼠标和键盘，截图等操作，用于自动化任务、测试脚本

## Usage

```
import pyautogui
import time
import pyperclip

def type_chinese(text):
    # 复制文本到剪贴板
    pyperclip.copy(text)
    # 在输入框中粘贴文本（Ctrl + V）
    pyautogui.hotkey('ctrl', 'v')
    # 等待一段时间，确保输入完成
    time.sleep(1)


# 移动鼠标到屏幕中央
pyautogui.moveTo(pyautogui.size()[0] / 2, pyautogui.size()[1] / 2)

# 等待1秒钟
time.sleep(1)

# 获取鼠标位置
pyautogui.position()



# 在当前位置点击鼠标
pyautogui.click(x,y ,clicks=num, interval=1, button= 'left')

# 移动鼠标，移动到(x,y)位置，持续时间seconds秒
pyautogui.moveTo(x,y, duration=seconds, tween=pyautogui.easeInOutQuad)
# 移动鼠标，x_offset移动水平距离，正右移，负左移
pyautogui.moveRel(x_offset,y_offset,duration=seconds)

# 拖拽鼠标
pyautogui.dragTo(x,y, duration=seconds)
pyautogui.dragRel(x,y, duration=seconds)

# 滚轮
pyautogui.scrool(x,y,clicks=num)


# 键盘

pyautogui.keyDown(key)
pyautogui.keyUp(key)


pyautogui.typewrite('hello worlld')
pyautogui.write("胜多负少")
# 调用函数输入中文
type_chinese("你好，世界！")

pyautogui.press('space') 

# 截屏
pyautogui.screenshot('xx.png')
pyautogui.locationOnScreen('xx.png')


```

